/*
 * mp3_09.h
 *
 *  Created on: 2016/12/17
 */

#ifndef MP3_11_H_
#define MP3_11_H_

#define SSP_SD			0
#define SSP_VS			1

#define BLINK_TIMER_NUM		0
#define DELAY_TIMER_NUM		1		/* 0 or 1 for 32-bit timers only */

#define PORT_I2C_LCD_RST		1
#define BIT_I2C_LCD_RST         25

//#define DEBUG_MP3_09	1

#define	P8U16(p, o) 	(((uint16_t)(*((uint8_t *)(p) + (o) + 1)) << 8) | *((uint8_t *)(p) + (o)))

// lcd.c
uint32_t lcd_init( unsigned char contrast);
void lcd_locate(unsigned char line, unsigned char col);
uint8_t lcd_puts(unsigned char *s);
uint8_t lcd_lprintln(unsigned char line, char *s);
uint8_t lcd_clear();
uint8_t lcd_send_cmd(unsigned char db);
uint8_t lcd_send_data(unsigned char db);
unsigned char lcd_write(unsigned addr, unsigned char eeaddr, unsigned char dat);

void PCF8523_settime(uint8_t year, uint8_t month, uint8_t day, uint8_t hour, uint8_t min, uint8_t sec);
void PCF8523_gettime(uint8_t *year, uint8_t *month, uint8_t *day, uint8_t *hour, uint8_t *min, uint8_t *sec);
void PCF8523_setalarm(uint8_t day, uint8_t hour, uint8_t min);
void PCF8523_clearalarm();
uint8_t PCF8523_isalarmed();

void WaitMs(uint32_t delayInMs);

void DebugWriteln(char *buff);
void DebugHex(uint8_t *buff, int bytes);
void DebugWritelnV1(char *msg, int val);

extern volatile uint32_t UARTCount;
extern volatile uint8_t UARTBuffer[];
extern uint16_t			Volume;			// 音量
extern volatile uint8_t	PinEvent;

#endif /* MP3_11_H_ */
